ApiReplicationCommand (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiReplicationCommand

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCommand
  - - com.cloudera.api.swagger.model.ApiReplicationCommand

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiReplicationCommand
      extends ApiCommand

  Information about a replication command. <p/> This object holds all the information a regular ApiCommand object provides, and adds specific information about the results of a replication command. <p/> Depending on the type of the service where the replication was run, a different result property will be populated.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiReplicationCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiReplicationCommand` | `addApiReplicationFailedCommandsItem(ApiReplicationCommand apiReplicationFailedCommandsItem)`
    `ApiReplicationCommand` | `addApiReplicationSkippedCommandsItem(ApiReplicationCommand apiReplicationSkippedCommandsItem)`
    `ApiReplicationCommand` | `apiAtlasReplicationResult(ApiAtlasReplicationResult apiAtlasReplicationResult)`
    `ApiReplicationCommand` | `apiReplicationDumpCommand(ApiReplicationCommand apiReplicationDumpCommand)`
    `ApiReplicationCommand` | `apiReplicationFailedCommands(List<ApiReplicationCommand> apiReplicationFailedCommands)`
    `ApiReplicationCommand` | `apiReplicationSkippedCommands(List<ApiReplicationCommand> apiReplicationSkippedCommands)`
    `boolean` | `equals(Object o)`
    `ApiAtlasReplicationResult` | `getApiAtlasReplicationResult()` Get apiAtlasReplicationResult
    `ApiReplicationCommand` | `getApiReplicationDumpCommand()` Get apiReplicationDumpCommand
    `List<ApiReplicationCommand>` | `getApiReplicationFailedCommands()` Get apiReplicationFailedCommands
    `List<ApiReplicationCommand>` | `getApiReplicationSkippedCommands()` Get apiReplicationSkippedCommands
    `ApiHBaseReplicationInfo` | `getHbaseInfo()` Get hbaseInfo
    `ApiHdfsReplicationResult` | `getHdfsResult()` Get hdfsResult
    `ApiHiveOnTezReplicationResult` | `getHiveOnTezResult()` Get hiveOnTezResult
    `ApiHiveReplicationResult` | `getHiveResult()` Get hiveResult
    `ApiIcebergReplicationResult` | `getIcebergResult()` Get icebergResult
    `ApiOzoneReplicationResult` | `getOzoneResult()` Get ozoneResult
    `ApiRangerReplicationResult` | `getRangerResult()` Get rangerResult
    `int` | `hashCode()`
    `ApiReplicationCommand` | `hbaseInfo(ApiHBaseReplicationInfo hbaseInfo)`
    `ApiReplicationCommand` | `hdfsResult(ApiHdfsReplicationResult hdfsResult)`
    `ApiReplicationCommand` | `hiveOnTezResult(ApiHiveOnTezReplicationResult hiveOnTezResult)`
    `ApiReplicationCommand` | `hiveResult(ApiHiveReplicationResult hiveResult)`
    `ApiReplicationCommand` | `icebergResult(ApiIcebergReplicationResult icebergResult)`
    `ApiReplicationCommand` | `ozoneResult(ApiOzoneReplicationResult ozoneResult)`
    `ApiReplicationCommand` | `rangerResult(ApiRangerReplicationResult rangerResult)`
    `void` | `setApiAtlasReplicationResult(ApiAtlasReplicationResult apiAtlasReplicationResult)`
    `void` | `setApiReplicationDumpCommand(ApiReplicationCommand apiReplicationDumpCommand)`
    `void` | `setApiReplicationFailedCommands(List<ApiReplicationCommand> apiReplicationFailedCommands)`
    `void` | `setApiReplicationSkippedCommands(List<ApiReplicationCommand> apiReplicationSkippedCommands)`
    `void` | `setHbaseInfo(ApiHBaseReplicationInfo hbaseInfo)`
    `void` | `setHdfsResult(ApiHdfsReplicationResult hdfsResult)`
    `void` | `setHiveOnTezResult(ApiHiveOnTezReplicationResult hiveOnTezResult)`
    `void` | `setHiveResult(ApiHiveReplicationResult hiveResult)`
    `void` | `setIcebergResult(ApiIcebergReplicationResult icebergResult)`
    `void` | `setOzoneResult(ApiOzoneReplicationResult ozoneResult)`
    `void` | `setRangerResult(ApiRangerReplicationResult rangerResult)`
    `String` | `toString()`

    - ### Methods inherited from class com.cloudera.api.swagger.model.ApiCommand

      `active, canRetry, children, clusterRef, endTime, getChildren, getClusterRef, getEndTime, getHostRef, getId, getName, getParent, getResultDataUrl, getResultMessage, getRoleRef, getServiceRef, getStartTime, hostRef, id, isActive, isCanRetry, isSuccess, name, parent, resultDataUrl, resultMessage, roleRef, serviceRef, setActive, setCanRetry, setChildren, setClusterRef, setEndTime, setHostRef, setId, setName, setParent, setResultDataUrl, setResultMessage, setRoleRef, setServiceRef, setStartTime, setSuccess, startTime, success`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiReplicationCommand

          public ApiReplicationCommand()

  - ### Method Detail

    - #### hdfsResult

          public ApiReplicationCommand hdfsResult(ApiHdfsReplicationResult hdfsResult)

    - #### getHdfsResult

          public ApiHdfsReplicationResult getHdfsResult()

      Get hdfsResult
      Returns:
        hdfsResult

    - #### setHdfsResult

          public void setHdfsResult(ApiHdfsReplicationResult hdfsResult)

    - #### ozoneResult

          public ApiReplicationCommand ozoneResult(ApiOzoneReplicationResult ozoneResult)

    - #### getOzoneResult

          public ApiOzoneReplicationResult getOzoneResult()

      Get ozoneResult
      Returns:
        ozoneResult

    - #### setOzoneResult

          public void setOzoneResult(ApiOzoneReplicationResult ozoneResult)

    - #### hiveResult

          public ApiReplicationCommand hiveResult(ApiHiveReplicationResult hiveResult)

    - #### getHiveResult

          public ApiHiveReplicationResult getHiveResult()

      Get hiveResult
      Returns:
        hiveResult

    - #### setHiveResult

          public void setHiveResult(ApiHiveReplicationResult hiveResult)

    - #### hiveOnTezResult

          public ApiReplicationCommand hiveOnTezResult(ApiHiveOnTezReplicationResult hiveOnTezResult)

    - #### getHiveOnTezResult

          public ApiHiveOnTezReplicationResult getHiveOnTezResult()

      Get hiveOnTezResult
      Returns:
        hiveOnTezResult

    - #### setHiveOnTezResult

          public void setHiveOnTezResult(ApiHiveOnTezReplicationResult hiveOnTezResult)

    - #### hbaseInfo

          public ApiReplicationCommand hbaseInfo(ApiHBaseReplicationInfo hbaseInfo)

    - #### getHbaseInfo

          public ApiHBaseReplicationInfo getHbaseInfo()

      Get hbaseInfo
      Returns:
        hbaseInfo

    - #### setHbaseInfo

          public void setHbaseInfo(ApiHBaseReplicationInfo hbaseInfo)

    - #### rangerResult

          public ApiReplicationCommand rangerResult(ApiRangerReplicationResult rangerResult)

    - #### getRangerResult

          public ApiRangerReplicationResult getRangerResult()

      Get rangerResult
      Returns:
        rangerResult

    - #### setRangerResult

          public void setRangerResult(ApiRangerReplicationResult rangerResult)

    - #### icebergResult

          public ApiReplicationCommand icebergResult(ApiIcebergReplicationResult icebergResult)

    - #### getIcebergResult

          public ApiIcebergReplicationResult getIcebergResult()

      Get icebergResult
      Returns:
        icebergResult

    - #### setIcebergResult

          public void setIcebergResult(ApiIcebergReplicationResult icebergResult)

    - #### apiAtlasReplicationResult

          public ApiReplicationCommand apiAtlasReplicationResult(ApiAtlasReplicationResult apiAtlasReplicationResult)

    - #### getApiAtlasReplicationResult

          public ApiAtlasReplicationResult getApiAtlasReplicationResult()

      Get apiAtlasReplicationResult
      Returns:
        apiAtlasReplicationResult

    - #### setApiAtlasReplicationResult

          public void setApiAtlasReplicationResult(ApiAtlasReplicationResult apiAtlasReplicationResult)

    - #### apiReplicationDumpCommand

          public ApiReplicationCommand apiReplicationDumpCommand(ApiReplicationCommand apiReplicationDumpCommand)

    - #### getApiReplicationDumpCommand

          public ApiReplicationCommand getApiReplicationDumpCommand()

      Get apiReplicationDumpCommand
      Returns:
        apiReplicationDumpCommand

    - #### setApiReplicationDumpCommand

          public void setApiReplicationDumpCommand(ApiReplicationCommand apiReplicationDumpCommand)

    - #### apiReplicationFailedCommands

          public ApiReplicationCommand apiReplicationFailedCommands(List<ApiReplicationCommand> apiReplicationFailedCommands)

    - #### addApiReplicationFailedCommandsItem

          public ApiReplicationCommand addApiReplicationFailedCommandsItem(ApiReplicationCommand apiReplicationFailedCommandsItem)

    - #### getApiReplicationFailedCommands

          public List<ApiReplicationCommand> getApiReplicationFailedCommands()

      Get apiReplicationFailedCommands
      Returns:
        apiReplicationFailedCommands

    - #### setApiReplicationFailedCommands

          public void setApiReplicationFailedCommands(List<ApiReplicationCommand> apiReplicationFailedCommands)

    - #### apiReplicationSkippedCommands

          public ApiReplicationCommand apiReplicationSkippedCommands(List<ApiReplicationCommand> apiReplicationSkippedCommands)

    - #### addApiReplicationSkippedCommandsItem

          public ApiReplicationCommand addApiReplicationSkippedCommandsItem(ApiReplicationCommand apiReplicationSkippedCommandsItem)

    - #### getApiReplicationSkippedCommands

          public List<ApiReplicationCommand> getApiReplicationSkippedCommands()

      Get apiReplicationSkippedCommands
      Returns:
        apiReplicationSkippedCommands

    - #### setApiReplicationSkippedCommands

          public void setApiReplicationSkippedCommands(List<ApiReplicationCommand> apiReplicationSkippedCommands)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ApiCommand`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ApiCommand`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ApiCommand`

Copyright © 2026. All rights reserved.